scrub-obsolete Package - zurl

Ready changes

Diff

diff --git a/debian/changelog b/debian/changelog
index 9ec2969..dcf7720 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+zurl (1.11.0-3) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since buster:
+    + Build-Depends: Drop versioned constraint on debhelper,
+      libcurl4-openssl-dev, libssl-dev and libzmq3-dev.
+    + zurl: Drop versioned constraint on lsb-base in Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Thu, 09 Sep 2021 13:41:35 -0000
+
 zurl (1.11.0-2) unstable; urgency=medium
 
   * Create dbgsym package
diff --git a/debian/control b/debian/control
index 7501ea2..a02f470 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: zurl
 Section: net
 Priority: optional
 Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev (>= 2.0), pkg-config, libcurl4-openssl-dev (>= 7.60.0-2), libssl-dev (>= 1.1)
+Build-Depends: debhelper, qtbase5-dev, qt5-qmake, qtchooser, libzmq3-dev, pkg-config, libcurl4-openssl-dev, libssl-dev
 Standards-Version: 4.1.4
 Homepage: https://github.com/fanout/zurl/
 Vcs-Git: https://salsa.debian.org/jan/zurl.git
@@ -10,7 +10,7 @@ Vcs-Browser: https://salsa.debian.org/jan/zurl
 
 Package: zurl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), libcurl4
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base, libcurl4
 Description: HTTP client worker with ZeroMQ interface
  This service allows one to trigger HTTP requests and to retrieve
  the responses via ZeroMQ.

Run locally

Try this locally (using the package):

debcheckout zurl
cd zurl
DEB_UPDATE_CHANGELOG=auto deb-scrub-obsolete

More details

Full run details